
Redmine - Defect #18133

Deprecation Warning

2014-10-19 14:34 - Dave Holyfield

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.1

Description

DEPRECATION WARNING: Paginator no longer takes a controller instance as the first argument. Remove it from #new

arguments. (called from initialize at */redmine/lib/redmine/pagination.rb:28)

DEPRECATION WARNING: Paginator#current will be removed. Use .offset instead of .current.offset. (called from current at

*/redmine/lib/redmine/pagination.rb:99)

History

#1 - 2014-10-19 14:42 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I think it is duplicate of #12774.

Check you use really 2.5.1 or clean Redmine.

#2 - 2014-10-19 15:10 - Dave Holyfield

Sorry, I have reported wrong version of Redmine somehow:

Environment:

  Redmine version                2.5.2.stable

  Ruby version                   2.1.3-p242 (2014-09-19) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  redmine_checklists             3.0.1

  redmine_contacts               3.4.1

#3 - 2014-10-19 15:14 - Dave Holyfield

- File pagination.rb added

related source file too

#4 - 2014-10-19 15:18 - Dave Holyfield

Here is full output, seems that it's related redmine_contacts plugin.

Started GET "/contacts" for 90.190.179.199 at 2014-10-19 14:15:52 +0100

Processing by ContactsController#index as HTML

  Current user: dah (id=3)

DEPRECATION WARNING: Paginator no longer takes a controller instance as the first argument. Remove it from #ne

w arguments. (called from initialize at */redmine/lib/redmine/pagination.rb:28)

DEPRECATION WARNING: Paginator#current will be removed. Use .offset instead of .current.offset. (called from c

urrent at */redmine/lib/redmine/pagination.rb:99)
  Rendered plugins/redmine_contacts/app/views/contacts/_list_excerpt.html.erb (182.6ms)

  Rendered plugins/redmine_contacts/app/views/common/_sidebar.html.erb (2.6ms)

  Rendered plugins/redmine_contacts/app/views/contacts/_tags_cloud.html.erb (0.8ms)

  Rendered plugins/redmine_contacts/app/views/notes/_last_notes.html.erb (0.8ms)

  Rendered plugins/redmine_contacts/app/views/common/_contact_data.html.erb (16.1ms)

  Rendered plugins/redmine_contacts/app/views/common/_recently_viewed.html.erb (67.7ms)

  Rendered plugins/redmine_contacts/app/views/contacts/index.html.erb within layouts/base (281.6ms)

Completed 200 OK in 432.6ms (Views: 290.3ms | ActiveRecord: 41.0ms)

Started GET "/attachments/contacts_thumbnail/6449/32" for 90.190.179.199 at 2014-10-19 14:15:53 +0100

Processing by AttachmentsController#contacts_thumbnail as */*

  Parameters: {"id"=>"6449", "size"=>"32"}

  Current user: dah (id=3)

Completed 304 Not Modified in 13.4ms (ActiveRecord: 2.9ms)

Started GET "/attachments/contacts_thumbnail/6448/32" for 90.190.179.199 at 2014-10-19 14:15:53 +0100

Processing by AttachmentsController#contacts_thumbnail as */*

  Parameters: {"id"=>"6448", "size"=>"32"}

  Current user: dah (id=3)

Completed 304 Not Modified in 10.6ms (ActiveRecord: 2.9ms)

Connecting to database specified by database.yml

Creating scope :system. Overwriting existing method Enumeration.system.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :sorted. Overwriting existing method User.sorted.

 I will report plugin maker about the issue.

#5 - 2014-10-19 15:20 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Files

pagination.rb 7.59 KB 2014-10-19 Dave Holyfield
